%define	major	0
%define	libname	%mklibname %{name} %{major}
%define	develname %mklibname %{name} -d

Name:		check
Version:	0.15.2
Release:	%mkrel 4
License:	LGPLv2+
Summary:	A unit test framework for C
Group:		System/Libraries
URL:		https://libcheck.github.io/check/
Source:		https://github.com/libcheck/check/archive/%{version}/%{name}-%{version}.tar.gz
# Fix a texinfo error due to a missing @end verbatim
# https://github.com/libcheck/check/issues/360
# https://github.com/libcheck/check/pull/361
Patch2:         check-0.15.2-texinfo.patch
BuildRequires:	texinfo
BuildRequires:	texlive
BuildRequires:	graphviz

%description
Check is a unit test framework for C. It features a simple interface for
defining unit tests, putting little in the way of the developer. Tests are run
in a separate address space, so Check can catch both assertion failures and
code errors that cause segmentation faults or other signals.  The output from
unit tests can be used within source code editors and IDEs.

%package -n	%{libname}
Summary:	C testing framework
Group:		System/Libraries

%description -n	%{libname}
Check is a unit test framework for C. It features a simple interface for
defining unit tests, putting little in the way of the developer. Tests are run
in a separate address space, so Check can catch both assertion failures and
code errors that cause segmentation faults or other signals. The output from
unit tests can be used within source code editors and IDEs.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}.

%prep
%autosetup -p1

# Avoid an obsolescence warning
sed -i 's/fgrep/grep -F/' Makefile.am

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

# move documentation
mv %{buildroot}%{_datadir}/doc/%{name} \
    %{buildroot}%{_datadir}/doc/%{develname}-%{version}

%files -n %{libname}
%license COPYING.LESSER
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README.md AUTHORS
%doc %{_datadir}/doc/%{develname}-%{version}/
%{_bindir}/checkmk
%{_datadir}/aclocal/check.m4
%{_libdir}/libcheck.so
%{_includedir}/check.h
%{_includedir}/check_stdint.h
%{_libdir}/pkgconfig/check.pc
%{_infodir}/check.info*
%{_mandir}/man1/checkmk.1*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.15.2-4.mga10
+ Revision: 2235964
- Mageia 10 Mass Rebuild

* Sun Feb 16 2025 daviddavid <daviddavid> 0.15.2-3.mga10
+ Revision: 2149047
- add fedora patch to fix texinfo error

* Thu Mar 31 2022 umeabot <umeabot> 0.15.2-2.mga9
+ Revision: 1835834
- Mageia 9 Mass Rebuild

* Wed Sep 02 2020 daviddavid <daviddavid> 0.15.2-1.mga8
+ Revision: 1620933
- new version: 0.15.2

* Thu Feb 20 2020 umeabot <umeabot> 0.14.0-2.mga8
+ Revision: 1546524
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 0.14.0-1.mga8
+ Revision: 1486704
- new version: 0.14.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 26 2019 daviddavid <daviddavid> 0.13.0-1.mga8
+ Revision: 1455869
- new version: 0.13.0

* Sat Mar 30 2019 wally <wally> 0.12.0-4.mga7
+ Revision: 1382182
- disable static build and drop .la

* Sat Sep 22 2018 umeabot <umeabot> 0.12.0-3.mga7
+ Revision: 1296113
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 0.12.0-2.mga7
+ Revision: 1256629
- rely on filetriggers for info system (mga#23482)

* Wed Jan 24 2018 kekepower <kekepower> 0.12.0-1.mga7
+ Revision: 1196713
- Update to version 0.12.0
- Added a BR for texinfo as it needs makeinfor to create docs
- Cleaned up the spec file

* Sun Jan 03 2016 luigiwalser <luigiwalser> 0.10.0-1.mga6
+ Revision: 918688
- 0.10.0

* Wed Oct 15 2014 umeabot <umeabot> 0.9.12-5.mga5
+ Revision: 746704
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.9.12-4.mga5
+ Revision: 725027
- rebuild for bogus file deps

* Thu Sep 18 2014 umeabot <umeabot> 0.9.12-3.mga5
+ Revision: 693590
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.9.12-2.mga5
+ Revision: 678361
- Mageia 5 Mass Rebuild

* Fri Feb 14 2014 dams <dams> 0.9.12-1.mga5
+ Revision: 591441
- new version 0.9.12

* Sat Oct 19 2013 umeabot <umeabot> 0.9.10-2.mga4
+ Revision: 531212
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 dams <dams> 0.9.10-1.mga4
+ Revision: 462566
- new version 0.9.10
- clean specfile
- update %%files

* Fri Jan 11 2013 umeabot <umeabot> 0.9.8-4.mga3
+ Revision: 347643
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 10 2012 blino <blino> 0.9.8-3.mga3
+ Revision: 259536
- rebuild to get info pages as xz instead of lzma

* Fri Jan 14 2011 dmorgan <dmorgan> 0.9.8-2.mga1
+ Revision: 17428
- Get rid of mdv macros
- imported package check


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.8-2mdv2011.0
+ Revision: 603825
- rebuild

* Thu Jan 14 2010 Emmanuel Andry <eandry@mandriva.org> 0.9.8-1mdv2010.1
+ Revision: 491461
- New version 0.9.8

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-3mdv2010.0
+ Revision: 413231
- rebuild

* Tue Mar 10 2009 Götz Waschk <waschk@mandriva.org> 0.9.6-2mdv2009.1
+ Revision: 353409
- fix devel provides

* Sat Mar 07 2009 Emmanuel Andry <eandry@mandriva.org> 0.9.6-1mdv2009.1
+ Revision: 351734
- New version 0.9.6
- fix licence
- apply libraries policy
- use configure2_5x
- protect major

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.9.5-4mdv2009.0
+ Revision: 220554
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.9.5-3mdv2008.1
+ Revision: 123104
- kill re-definition of %%buildroot on Pixel's request
- do not hardcode bz2 extension


* Thu Feb 01 2007 Götz Waschk <waschk@mandriva.org> 0.9.5-3mdv2007.0
+ Revision: 115812
- add conflict with old devel package

* Mon Jan 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.5-2mdv2007.1
+ Revision: 114908
- fix dependency

* Fri Jan 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.5-1mdv2007.1
+ Revision: 113846
- new version

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.3-2mdv2007.0
- patch to build dynamic libraries

* Wed Sep 28 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.3-1mdk
- New release 0.9.3
- %%mkrel

* Thu Jul 14 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 0.9.2-1mdk
- Adopted package for Mandriva Linux.

* Thu Feb 03 2005 Marcelo Ricardo Leitner <mrl@conectiva.com.br>
+ 2005-02-03 12:00:24 (75515)
- %%desc cleanup.

* Mon Dec 20 2004 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2004-12-20 17:19:58 (73041)
- Oops.. forgot to include the source.

* Mon Dec 20 2004 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2004-12-20 17:18:43 (73037)
- New upstream Version: 0.9.3
- The update was done to check if the new version included suite_free(),
  but it looks that this function was removed rather than recently added.
  Anyway, the update was done, so let's make it available.

* Mon Nov 08 2004 André Murbach Maidl <murbach@conectiva.com.br>
+ 2004-11-08 15:37:03 (70833)
- Added %%doc macro

* Mon Nov 08 2004 André Murbach Maidl <murbach@conectiva.com.br>
+ 2004-11-08 11:16:48 (70791)
- Created spec file (Closes #13149)
  Added the package source

* Mon Nov 08 2004 André Murbach Maidl <murbach@conectiva.com.br>
+ 2004-11-08 10:52:30 (70775)
- Created package structure for check.

